Bug 1349790 - glusterfs slice configuration needs to be added while starting glusterd through gdeploy.
Summary: glusterfs slice configuration needs to be added while starting glusterd throu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Sachidananda Urs
QA Contact: SATHEESARAN
URL:
Whiteboard:
: 1362579 (view as bug list)
Depends On:
Blocks: 1351522 1419513
TreeView+ depends on / blocked
 
Reported: 2016-06-24 09:34 UTC by RamaKasturi
Modified: 2019-04-03 10:06 UTC (History)
6 users (show)

Fixed In Version: gdeploy-2.0.1-1
Doc Type: Enhancement
Doc Text:
This update introduces the Slice Unit configuration feature for the glusterfs services to organize a hierarchy for barriering the processes within a specific memory, cpu limits. This feature ensures that the Red Hat Gluster Storage's systemd unit(s) starts within the specified Slice. To configure Slice, add the following parameter to the configuration file: slice_setup=yes
Clone Of:
: 1419513 (view as bug list)
Environment:
Last Closed: 2017-02-07 11:33:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description RamaKasturi 2016-06-24 09:34:47 UTC
Description of problem:
As of now gdeploy does not contain the glusterfs slice configuration which needs to be added in the hypervisor before starting glusterd.

Steps which needs to be added to gdeploy to have glusterfs slice configuration can be found in the grafton installation doc.

More info can be found in the link : http://opensource-storage.blogspot.in/2016/05/making-gluster-play-nicely-with-others.html

Version-Release number of selected component (if applicable):
gdeploy-2.0-16.el7rhgs.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 SATHEESARAN 2016-08-02 14:50:34 UTC
*** Bug 1362579 has been marked as a duplicate of this bug. ***

Comment 5 Sachidananda Urs 2016-09-06 16:03:34 UTC
This feature is added in latest commit: https://github.com/gluster/gdeploy/pull/162/commits


If user prefers to add slice, the config file should be written as:

[hosts]
10.70.37.47
10.70.37.147

[service]
action=start
service=glusterd
slice_setup=yes

This adds default values suggested by Paul Cuzner in http://opensource-storage.blogspot.in/2016/05/making-gluster-play-nicely-with-others.html

Comment 6 SATHEESARAN 2016-11-14 13:48:04 UTC
Tested with gdeploy-2.0.1-3.el7rhgs.

by mentioning 'slice_setup=yes' under 'service' sets up glusterfs slice as required

Comment 11 errata-xmlrpc 2017-02-07 11:33:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.